Bug 293120 - [VI Mode] Replacing a digit with the numpad does not work with the Vi Input Mode
Summary: [VI Mode] Replacing a digit with the numpad does not work with the Vi Input Mode
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: Vi Input Mode (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Simon St James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-02 08:27 UTC by Damien Gombault
Modified: 2013-04-23 21:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Damien Gombault 2012-02-02 08:27:26 UTC
Version:           unspecified (using KDE 4.8.0) 
OS:                Linux

Replacing a digit with the numpad does not work with the Vi Input Mode.
It replaces the digit by a square character.

Reproducible: Always

Steps to Reproduce:
Insert something in your document :

This is my document #1.

Place the cursor on the 1.
Press `r` to replace the digit.
Press 2 with the numpad.



Actual Results:  
This is my document #.

Expected Results:  
This is my document #2.
Comment 1 Damien Gombault 2012-08-02 08:06:09 UTC
This bug is still present with KDE 4.9.0.

Tested with Arch Linux packages.
Comment 2 Christoph Cullmann 2012-11-03 15:43:35 UTC
Is still in kate.git master, too.
Comment 3 Damien Gombault 2013-02-07 08:41:04 UTC
This bug is still present in KDE 4.10.0 (Arch Linux).
Comment 4 Simon St James 2013-03-30 13:37:10 UTC
Git commit 3099dbacae611b73e1cb489bea21d9441a0b9339 by Simon St James.
Committed on 30/03/2013 at 14:35.
Pushed by sstjames into branch 'master'.

Replace keypad numbers with ordinary numbers.

M  +6    -0    part/tests/vimode_test.cpp
M  +6    -1    part/vimode/katevikeyparser.cpp

http://commits.kde.org/kate/3099dbacae611b73e1cb489bea21d9441a0b9339